use slint_build::compile_with_config;
use slint_build::CompilerConfiguration;
use std::path::{Path, PathBuf};

fn compile_file(path: impl AsRef<Path>) {
    compile_with_config(
        path,
        CompilerConfiguration::new()
            .with_include_paths(vec![PathBuf::from("."), PathBuf::from("src/components")]),
    )
    .unwrap();
}

fn main() {
    compile_file("src/components/memory_tile.slint");
    compile_file("src/components/main_window.slint");
}
